Sequel.migration do

  up do
    # create tests table
    create_table(:results) do
      primary_key :id
      foreign_key :benchmark_id, :benchmarks
      Float :avg_score, null: false
      Float :min_score
      Float :max_score
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end

    # create many-to-many table for results and tests
    create_table(:tests_results) do
      foreign_key :test_id, :tests
      foreign_key :result_id, :results
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end
  end

  down do
    drop_table(:tests_results)
    drop_table(:results)
  end

end
